package aulamonitoria.br.ufpe.cin.epidemia;

public class Doenca extends Epidemia {
	private String nomeDoenca;
	private String transmissor;
	
	public Doenca(String paisAfetado, double areaAfetada, int quantidadeAfetadosVivos, int quantidadeAfetadosMortos, String nomeDoenca, String transmissor) {
		super(paisAfetado, areaAfetada, quantidadeAfetadosVivos, quantidadeAfetadosMortos);
		this.nomeDoenca = nomeDoenca;
		this.transmissor = transmissor;
	}
	
	public void corraParaColinas(int pessoas) {
		int quantidadeVivos = this.getQuantidadeAfetadosVivos();
		quantidadeVivos = quantidadeVivos - pessoas;
		this.setQuantidadeAfetadosVivos(quantidadeVivos);
	}
	
	public String getNomeDoenca() {
		return this.nomeDoenca;
	}
	
	public void setNomeDoenca(String nomeDoenca) {
		this.nomeDoenca = nomeDoenca;
	}
	
	public String getTransmissor() {
		return this.transmissor;
	}
	
	public void setTransmissor(String transmissor) {
		this.transmissor = transmissor;
	}
}
